Bug Hunting Session
Bug 43449 - WIKIHELP image size should be in pixel, or else trash resizing
Summary: WIKIHELP image size should be in pixel, or else trash resizing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-01 19:41 UTC by Korrawit Pruegsanusak
Modified: 2012-09-23 15:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Korrawit Pruegsanusak 2011-12-01 19:41:27 UTC
Currently, the script to convert LOCALHELP to WIKIHELP [1] generates image size in inch, by getting the size from attributes "width" and "height" of <image> tag, which is currently in inch. See "class Image" in the script.

First, we should consider whether we should resizing the image at all. That is, whether the image is already used in it own size.

And if we have to resize, we should change this to pixel, as MediaWiki only support pixel, not inch. [2] Maybe by calculating image size from DPI (resolution) and the size to show.

But if not, we might delete the resizing code.

Note: I'm not sure whether GSoC project "Convert the LibreOffice web help (wikihelp) to platform specific help" affects this.

[1] http://cgit.freedesktop.org/libreoffice/help/tree/helpcontent2/to-wiki/wikiconv2.py
[2] http://www.mediawiki.org/wiki/Help:Images
Comment 1 Michael Meeks 2012-09-14 14:07:19 UTC
Confirming Korrawit's bug and/or any thoughts there Kendy ? :-)
Comment 2 Andras Timar 2012-09-23 15:49:01 UTC
According to the OpenOffice.org Developers Guide, the width / height attributes are optional. The width and height attributes are currently ignored by the [local]help system.

http://wiki.openoffice.org/wiki/Documentation/DevGuide/Extensions/Help_Content

The width / height attributes should not be removed from the help .xhp sources though, because of their huge localization impact. 

It is better, if WikiHelp ignores the width / height attributes, too.
Comment 3 Not Assigned 2012-09-23 15:50:36 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d725d2d6caf66f6e7786ea6d48b3878a60be9eaf

fdo#43449 ignore image width and height in wikihelp



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.